Bug 196123 - crashes on input with scim
crashes on input with scim
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-21 05:18 EDT by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.0.3-7.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-03 22:16:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
backtrace.out (2.98 KB, text/plain)
2006-06-21 05:18 EDT, Jens Petersen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 66018 None None None Never

  None (edit)
Description Jens Petersen 2006-06-21 05:18:53 EDT
Created attachment 131262 [details]
backtrace.out
Comment 1 Jens Petersen 2006-06-21 05:18:53 EDT
Description of problem:
openoffice crashes on input with an input method (like scim) now.

Version-Release number of selected component (if applicable):
openoffice.org-2.0.3-5.3.x86_64

How reproducible:
every time

Steps to Reproduce:
1. Install scim (eg "yum install scim-anthy")
2. LC_CTYPE=ja_JP.UTF-8 GTK_IM_MODULE=scim oowriter (may need to export
GTK_IM_MODULE)
3. activate scim (Ctrl-Space) and try to input some text (eg switch to Japanese
   input (yellow crown icon) and type "sushi Space"...
  
Actual results:
openoffice crashes: see attached trace.

Expected results:
no crash and normal input with scim.

Additional info:
same with oocalc
Comment 2 Caolan McNamara 2006-06-29 05:34:55 EDT
x86_64 only, a cast from a pointer to an int. Fix checked in.
Comment 3 Jens Petersen 2006-07-03 22:16:44 EDT
Thanks, working well now with current rawhide.

Note You need to log in before you can comment on or make changes to this bug.